﻿using Hidemaru;
using System;
using System.Windows;
using System.Windows.Media;

namespace TextInsert02
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            // カーソル位置にテキストを挿入
            Hm.Edit.LineText = "開始";
        }
        private void btn0_Click(object sender, RoutedEventArgs e)
        {
            // ボタンの色を変更する
            var bc = new BrushConverter();
            btn0.Background = (Brush)bc.ConvertFrom("#FFE21C1C");

            // カーソル位置にテキストを挿入
            Hm.Edit.LineText = "ボタンを押した";
        }
    }

    public class HmEntry
    {
        public static Window WpfForm;

        public static IntPtr CreateForm()
        {
            // 秀丸マクロから呼び出されたときに実行されるメソッド
            if (WpfForm != null)
            {
                WpfForm.Close();
                WpfForm = null;
            }
            WpfForm = new MainWindow();
            WpfForm.ShowDialog();
            return (IntPtr)1;
        }

        public static IntPtr OnDetathMethod()
        {
            // 秀丸エディタが閉じられる前に実行されるコード
            // このWPFアプリケーションを終了します。
            if (WpfForm != null)
            {
                WpfForm.Close();
                WpfForm = null;
            }
            return (IntPtr)1;
        }
    }
}
